<?php
use LabBase\Model\Brand;
use LabBase\Model\BrandPost;
use LabBase\Model\Category;
use LabBase\Model\User;

$brandBannerChangeURL = $this->url('root/brandSettings', ['action' => 'uploadBanner', 'param' => $this->thisBrand->url]);

$thisBrandLogoURL = \LabBase\Model\ImageSaver::GetImageS3LinkFromName('brand-avatar-'.$this->thisBrand->id);
$thisBrandURL = $this->url('root/brandFeed', ['brandUrl' => $this->thisBrand->url]);

/** @var $user User */
$user = $this->sessionInfo()->getLoggedInUser();
?>

<script>
    var g_thisBrand = {
        id: <?= $this->thisBrand->id; ?>,
        name: '<?= addslashes($this->thisBrand->name); ?>',
        category: '<?= addslashes($this->categoryUrl); ?>',
        url: '<?= addslashes($this->thisBrand->url); ?>',
        loveCount: <?= $this->thisBrand->loveCount; ?>,
        lovedByUser: <?= $this->brandLovedByUser ? 'true' : 'false' ?>
    };
    <?php if($user) { ?>

    var g_loggedInUser = {
        id: <?= $user->id; ?>,
        name: '<?= addslashes($user->fullName) ?>',
        isAdmin: <?= $user->isAdmin() ? 'true' : 'false'  ?>,
        canEditBrand: <?= $this->userCanEditBrand ? 'true' : 'false' ?>
    };
    <?php }else{ ?>
    var g_loggedInUser = false;
    <?php } ?>
</script>

<?php


$brandName = null;
if($this->BrandName) {
    $brandName = $this->BrandName;
    $brandUrl = $this->BrandUrl;
    $brandDescription = $this->BrandDescription;
}else{
    if ($user && $user->lastVisitedBrandId !== null) {
        /** @var Brand $brand */
        $brand = $this->sessionInfo()->getBrandById($user->lastVisitedBrandId);
        if ($brand) {
            $brandName = $brand->name;
            $brandDescription = $brand->description;
            $brandUrl = $brand->url;
        }
    }
    else{
        $brandName = $this->thisBrand->name;
        $brandDescription = $this->thisBrand->description;
        $brandUrl = $this->thisBrand->url;
    }
}
$thisBrand = $this->thisBrand;
?>


<iframe id="editorImageSubmitterIframe" name="editorImageSubmitterIframe" style="display: none;" onload="if(this.contentWindow.location.href != 'about:blank' && window.imageUploadSubmitted) {window.imageUploadSubmitted(this)}"> </iframe>
<form onsubmit="window.imageUploadStarted()" enctype="multipart/form-data" method="post" target="editorImageSubmitterIframe" action="<?= $this->url('root/brandTeamMemberAddImage', ['brandUrl' => $brandUrl]); ?>">
    <input type="file" name="image" style="display: none" id="editorImageSubmitter" onchange="$(this).parent().submit()" />
</form>
<script>
    window.imageUploadStarted = function() {
        window.postImageUploadFinished = window.loadingIndicator($('body')); 
    };
    window.imageUploadEnded = function() {
        if (window.postImageUploadFinished) {
            window.postImageUploadFinished();
        }
    };

    window.imageSubmittedCallback = false;
    window.imageUploadSubmitted = function(el) {
        window.imageUploadEnded();

        if(window.imageSubmittedCallback === false) return;
        var iframeContents = $(el)[0].contentDocument.body.innerHTML;

        var re = /\{[\-a-zA-Z"'0-9:\w|.,/\\]+\}/.exec(iframeContents);
        if(re == null) {
            labAlert("An error has occured while uploading the photo.");
            window.imageSubmittedCallback(false);
            window.imageSubmittedCallback = false;
            return;
        }
        var response = re[0];
        response = JSON.parse(response);
        console.log("Successfully uploaded image:", response);
        window.imageSubmittedCallback(response.imageLink);
        window.imageSubmittedCallback = false;
    };
</script>


<!-- Header -->
    <?php echo $this->render('brand-header.phtml', array('user' => $user, 'thisBrand' => $this->thisBrand, 'draftspostCnt' => $this->draftspostCnt, 'brandName' => $brandName, 'thisBrandLogoURL' => $thisBrandLogoURL)); ?>
<!--END-->

<div class="body-content about_us_page">                                                          

    <div class="wrapper">
        
        <!-- Intro -->
        <?php echo $this->render('brand-body-top.phtml', array('user' => $user, 'thisBrand' => $this->thisBrand, 'draftspostCnt' => $this->draftspostCnt, 'brandName' => $brandName, 'thisBrandLogoURL' => $thisBrandLogoURL, 'userCanEditBrand' => $this->userCanEditBrand)); ?>
        <!--END-->

        <!-- Sidebar Layout -->
        <div class="sidebar-layout">
            <?php echo $this->render('band-menu.phtml', array('page' => 'about', 'brandUrl' => $this->thisBrand->url)); ?>

            <!-- Main Content -->
            <div class="main-content">

                <div class="panel panel-default team_section">

                    <div class="panel-heading">
                        <ul class="aboutus_header">
                            <li>
                                <a href="<?php echo $this->url('root/brandAbout', ['brandUrl' => $this->brandUrl]); ?>">About Us</a>
                            </li>
                            <li class="management_team active">
                                <a id="managementTeamNameA" href="<?php echo $this->url('root/brandManagementTeam', ['brandUrl' => $this->brandUrl]); ?>">
                                    <?php echo $this->managementTeamName; ?>
                                </a>
                                <?php if($this->userCanEditBrand){ ?>
                                    <a class="editManagementTeam" href="javascript: void(0);" data-toggle="modal" data-target="#editTeamName">
                                        <i class="fa fa-pencil" aria-hidden="true"></i>
                                    </a>
                                    <?php } ?>
                            </li>
                        </ul>
                    </div>

                    <div class="panel-body nopadding">

                        <?php 
                            $title = (isset($this->teamMetas['TEAM_META_TITLE']['content']) && !empty($this->teamMetas['TEAM_META_TITLE']['content'])) ? $this->teamMetas['TEAM_META_TITLE']['content'] : '';

                            $titleFlag = 1;
                            $showTitle = 0;
                            $publicTitle = (isset($this->teamMetas['TEAM_META_TITLE']['public']) && $this->teamMetas['TEAM_META_TITLE']['public'] == 1) ? $this->teamMetas['TEAM_META_TITLE']['public'] : 0;
                            
                            if($publicTitle == 1)
                            {
                                $showTitle = 1;
                                $titleFlag = 0;
                            }

                            $description = (isset($this->teamMetas['TEAM_META_DESCRIPTION']['content']) && !empty($this->teamMetas['TEAM_META_DESCRIPTION']['content'])) ? $this->teamMetas['TEAM_META_DESCRIPTION']['content'] : '';

                            $publicDesc = (isset($this->teamMetas['TEAM_META_DESCRIPTION']['public']) && $this->teamMetas['TEAM_META_DESCRIPTION']['public'] == 1) ? $this->teamMetas['TEAM_META_DESCRIPTION']['public'] : 0;
                            $descFlag = 1;
                            $showDesc = 0;
                            if($publicDesc == 1)
                            {
                                $showDesc = 1;
                                $descFlag = 0;
                            }
                        ?>
                        <?php 
                            /*$both = false;
                            if($showTitle == 0 || $showDesc == 0){
                                $both = true;
                            }*/
                        ?>
                        
                        <?php if($this->userCanEditBrand){ ?>
                        <div class="edit_action pull-right">
                                <div class="dropdown">
                                    <a data-toggle="dropdown" aria-expanded="false" class="dropdown-toggle" href="#">
                                        <i aria-hidden="true" class="fa fa-pencil"></i>
                                    </a>
                                    <ul class="dropdown-menu dropdown-menu-right">
                                        <li>
                                            <a style="display:<?php echo ($showTitle != 0) ? "none" : ''; ?>" class="show_title_field" onclick="makePublicOrNot(this, 'title');" data-flag="1" href="javascript: void(0);">
                                                Show title field
                                            </a>
                                            <a style="display:<?php echo ($showTitle != 1) ? "none" : ''; ?>" class="hide_title_field" onclick="makePublicOrNot(this, 'title');" data-flag="0" href="javascript: void(0);">
                                                Hide title field
                                            </a>
                                        </li>
                                        
                                        <li>                                            
                                            <a style="display:<?php echo ($showDesc != 0) ? "none" : ''; ?>" class="show_description_field" onclick="makePublicOrNot(this, 'description');" data-flag="1" href="javascript: void(0);">
                                                Show description field
                                            </a>
                                            <a style="display:<?php echo ($showDesc != 1) ? "none" : ''; ?>" class="hide_description_field" onclick="makePublicOrNot(this, 'description');" data-flag="1" href="javascript: void(0);">
                                                Hide description field
                                            </a>
                                        </li>
                                            
                                    </ul>
                                </div>
                            </div>
                        <?php } ?>

                        <div class="col-md-12">
                            <div class="col-md-10 col-md-offset-1 nopadding management_team_content">

                                <?php if($this->userCanEditBrand){ ?>

                                    <div class="form-group" style="display:<?php echo (!$showTitle) ? "none" : ""; ?>">
                                        <input type="text" class="form-control team_title team-meta-head-title editTeamMgmtTitle hide" placeholder="Management Team Title" onblur="javascript: changeTitleOrDescription(this, 'title');" value="<?php echo $title; ?>">
                                        
                                        <div class="showTeamMgmtTitle"><?php echo $title; ?></div>
                                        
                                        <span onclick="makePublicOrNot(this, 'title');" data-flag="<?php echo $titleFlag; ?>" class="hide_team_title">x</span>
                                    </div>

                                    <div class="form-group" style="display:<?php echo (!$showDesc) ? "none" : ""; ?>">
                                        <textarea placeholder="Management Team Description" class="textarea-scrollbar scrollbar-outer team_description form-control team-meta-head-description editTeamMgmtDescription hide" onblur="javascript: changeTitleOrDescription(this, 'description');"><?php echo $description; ?></textarea>
                                        
                                        <div class="showTeamMgmtDescription"><?php echo $description; ?></div>
                                        
                                        <span onclick="makePublicOrNot(this, 'description');" data-flag="<?php echo $descFlag; ?>" class="hide_team_description">x</span>
                                    </div>
                                    

                                    <?php }else{ ?>

                                    <div class="team_title_text" style="display:<?php echo (!$showTitle) ? "none" : ""; ?>">
                                        <?php echo $title; ?>
                                    </div>

                                    <div class="team_description_text" style="display:<?php echo (!$showDesc) ? "none" : ""; ?>">
                                        <?php echo $description; ?>
                                    </div>

                                    <?php } ?>

                            </div>
                        </div>


                        <div class="col-md-12 nopadding">
                            <div class="team_member_title">
                                <span>
                                    Team Members
                                </span>
                            </div>
                        </div>

                        <div class="team_member_container col-md-12 nopadding">

                            <?php if($this->userCanEditBrand){ ?>    
                                <div class="col-md-4 col-sm-4 col-xsm-6 text-center team_member_container">
                                    <a href="javascript:void(0);" class="team_member_add_content" data-target="#addTeamMember" data-toggle="modal">
                                        <div class="team_member_add_box">
                                            <i class="icon-plus"></i>
                                            <span>Add Members</span>
                                        </div>
                                        
                                    </a>
                                </div>
                                <?php } ?>

                            <?php $j = 0; if(!empty($this->teamMembers)){ ?>
                                <?php foreach($this->teamMembers as $teamMember){ ?>
                                    <div id="tm_list_<?php echo $teamMember->id; ?>" class="col-md-4 col-sm-4 col-xsm-6 text-center teamMemabrBox team_member_container">

                                        <?php if($this->userCanEditBrand){ ?>
                                            <div class="tm_actions">
                                                <div class="dropdown">
                                                    <a data-toggle="dropdown" aria-expanded="false" class="dropdown-toggle" href="#">
                                                        <i aria-hidden="true" class="fa fa-pencil"></i>
                                                    </a>
                                                    <ul class="dropdown-menu dropdown-menu-right">
                                                        <li>
                                                            <a href="<?php echo $this->url("root/brandShowTeamMember", ["tmId" => $teamMember->id]); ?>" onclick="javascript: editTeamMember(this, <?php echo $teamMember->id; ?>); return false;">
                                                                Edit
                                                            </a>
                                                        </li>
                                                        <li>                                            
                                                            <a href="<?php echo $this->url("root/brandDeleteTeamMember", ["tmId" => $teamMember->id]); ?>" onclick="javascript: deleteTeamMember(this, <?php echo $teamMember->id; ?>); return false;">
                                                                Delete
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </div>
                                            </div>
                                            <?php } ?>

                                        <div class="team_member_box_content" onclick="javascript: displayTeamMember(<?php echo $teamMember->id; ?>);">
                                            <?php $img = "";  
                                                if(!empty($teamMember->imageData)){ ?>
                                                <?php 
                                                    $imageData = json_decode($teamMember->imageData);
                                                    if(!empty($imageData))
                                                    {
                                                        $img = $imageData[0]->url;
                                                    }
                                                }
                                            ?>
                                            <?php if($img != ""){ ?>
                                                <div class="team_member_photo">
                                                    <img src="<?php echo $img; ?>" alt="<?php echo $teamMember->name; ?>" />
                                                </div>
                                                <?php }else{ ?>
                                                <div class="team_member_blank_box"></div>
                                                <?php } ?>

                                            <div class="tramMemberMetaBox">
                                                <h4><?php echo $teamMember->name; ?></h4>
                                                <span><?php echo $teamMember->position; ?></span>
                                            </div>
                                        </div>
                                    </div>
                                    <?php $j++; } ?>
                                <?php } ?>

                            <?php if($this->userCanEditBrand){ ?>    
                                <?php for($i = $j; $i <= 1; $i++){ ?>
                                    <div class="col-md-4 col-sm-4 col-xsm-6 text-center team_member_container">
                                        <div class="team_member_blank_box"></div>
                                    </div>
                                    <?php } ?>
                                <?php } ?>
                        </div>

                    </div>
                </div>

            </div>
            <!-- Sidebar -->
            <div class="sidebar">
                <div class="hidden-xs">

                    <div class="section menu-edit hide-by-default">
                        <!-- CATEGORIES DISABLED todo: remove -->
                        <ul id="categories-menu" class="open"> </ul>
                    </div>

                    <div class="brand-info section">
                        <div class="head">
                            <a href="#" onclick="changeBrandAvatar(); return false;" title="Change avatar">
                                <img class="avatar-cont" src="<?= $thisBrandLogoURL; ?>" alt="Logo" />
                            </a>
                            <h6><?= $brandName ?></h6>
                        </div>
                        <div class="item">
                            <input type="text" id="brandShortDescriptionField" class="optional-text-field"
                                placeholder="Brand Info - e.g. location, description">
                        </div>
                    </div>

                </div>
            </div>

        </div>


    </div>
                
</div>
<?php if($this->userCanEditBrand){ ?>
<div class="modal fade" tabindex="-1" role="dialog" id="editTeamName">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title">Edit Name</h4>
      </div>
      <div class="modal-body">
        <form>
          <div class="form-group">
            <input type="text" class="form-control" value="<?php echo $this->managementTeamName; ?>" id="managementTeamName">
          </div>
        </form>
      </div>
      <div class="modal-footer">
        <button type="button" onclick="javascript: updateTeamName();" class="btn btn-primary">Submit</button>
      </div>
    </div>
  </div>
</div>
<?php } ?>

<div class="modal fade" tabindex="-1" role="dialog" id="addTeamMember">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title">Add Members Profile</h4>
            </div>
            
            <div class="modal-body">
            
                <div class="col-md-12 nopadding">
                    <form id="frmAddTeamMember">
                        <div class="col-md-3 col-sm-3 col-xs-6 nopadding">
                            <div id="noImageBox" class="addTeamMemberPhoto noImageBox" onclick="uploadImage('team-member');">
                                <span>
                                    <i aria-hidden="true" class="fa fa-picture-o step1"></i>
                                    <i aria-hidden="true" class="fa fa-plus-circle step2"></i>
                                </span><br />
                                Add photos
                            </div>
                            <div style="display:none;" data-type="team-member" class="upload-image-list-team-member editable small-image-section"></div>
                        </div>
                        <div class="col-md-9 col-sm-9 col-xs-6 teamMemberBox nopadding">
                            <div class="form-group">
                                <label for="txtName" class="sr-only">Name</label> 
                                <input type="text" placeholder="Name" id="txtName" class="form-control team_member_name"> 
                            </div>
                            <div class="form-group">
                                <label for="txtName" class="sr-only">Position</label> 
                                <input type="text" placeholder="Position" id="txtPosition" class="form-control team_member_position"> 
                            </div>
                        </div>
                        <div class="clearfix"></div>
                        <div class="col-md-12 nopadding">
                            <div class="form-group">
                                <textarea placeholder="Write your team member biography" class="textarea-scrollbar scrollbar-outer team_member_description form-control"></textarea>
                            </div>
                        </div>
                    </form>
                </div>
                
            </div>
            
            <div class="modal-footer">
                <button type="button" onclick="javascript: addTeamMemberData();" class="btn btn-primary">Post</button>
            </div>
        </div>
    </div>
</div>


<!-- Footer -->
    <?php echo $this->render('brand-footer.phtml', array('user' => $user, 'thisBrand' => $this->thisBrand, 'draftspostCnt' => $this->draftspostCnt, 'brandName' => $brandName, 'thisBrandLogoURL' => $thisBrandLogoURL)); ?>
<!--END-->

<input type="hidden" value="<?php echo $this->postType; ?>" name="hdnPostType" id="hdnPostType" />

<script src="//cdnjs.cloudflare.com/ajax/libs/Sortable/1.4.2/Sortable.min.js"></script>

<script>

    function calculateDates() {
        var postType = document.getElementById('hdnPostType').value;
        var elements = document.querySelectorAll("[data-date]");
        for(var el in elements) {
            if(!elements.hasOwnProperty(el)) continue;
            el = elements[el];
            if(postType == 'drafts')
            {
                el.innerHTML = 'saved '+formatAgoTime(el.dataset.date);
            }
            else
            {
                el.innerHTML = formatAgoTime(el.dataset.date);
            }
        }
    }
    window.setInterval(calculateDates, 1000 * 29);
    window.onGloabalJS.push(calculateDates);

    <? if($user) { ?>
    window.onGloabalJS.push(function() {
        window.getNotifications('feed-template');
    });
    <? } ?>

    function updateLoveUsButton() {
        if(g_thisBrand.lovedByUser) {
            $('#loveUsButton .text').text('Loved!');
        }else{
            $('#loveUsButton .text').text('Love Us');
        }
    }

    window.loveUsClicked = function(el) {
        var loveBool = !g_thisBrand.lovedByUser;
        window.ajaxSubmitCheck("<?= $this->url("root/interactionController", ["action" => "loveBrand", "param" => $this->thisBrand->id, "param2" => "BOOL"]) ?>".replace(/BOOL/, loveBool), {}, function (data) {
            g_thisBrand.lovedByUser = data.newValue;
            updateLoveUsButton();
        }, "Could not love the brand. %s");
    };
    onGloabalJS.push(updateLoveUsButton);

    function changeBrandAvatar() {
        <?php if($this->userCanEditBrand) { ?>
        labImage('Change brand avatar image', function(imageData) {
            if(imageData) {
                $('.loading-container').show();
                window.ajaxSubmitCheck('<?= $this->url('root/brandSettings', ['action'=>'uploadAvatar', 'param' => $this->thisBrand->url]) ?>', {
                    imageString: imageData.data.split('base64,', 2)[1]
                }, function() {
                    document.location.reload();
                }, "The brand avatar couldn't be changed. %s");
            }
        }, 400, 400);
        <?php }else{ ?>
        return false;
        <?php } ?>
    }

    var UploadedImagesListSelTM = '.upload-image-list-team-member';
    
    window.onGloabalJS.push(function() {
        window.uploadImageSetStorageTM = window.persistentVariableTM("uploadImageSetTM", new window.ImageSet([], UploadedImagesListSelTM));
        if(window.uploadImageSetStorageTM.get().type !== 'ImageSet') {
            window.uploadImageSetStorageTM.set(new window.ImageSet([], UploadedImagesListSelTM));
        }
        console.log("uploadImageSetTM = ", window.uploadImageSetStorageTM, window.uploadImageSetStorageTM.get());
    });
    
    function removeImageClicked(el, type) {
        var $container = $(el).closest('.img-container');
        var $img = $('img', $container);
        var confirm = labConfirm("Are you sure you want to delete this image?", "Confirm delete",
        function(response) {
            if(response) {
                removeImage($img.attr('src'), type);
            }
        }, "Delete", "Cancel");
    }

    function removeImage(img, type) {
        switch(type)
        {
            case 'team-member' : 
                    var imageSet = window.uploadImageSetStorageTM.get();
                    imageSet.removeImages([img]);
                    window.uploadImageSetStorageTM.set(imageSet);
                    
                    $('.upload-image-list-team-member').hide();
                    $('.noImageBox').show();
                    
                break;            
        }
    }
    
    function uploadImageToEditorTM(img) {
        console.log(img);
        console.log('Upload TM image TM');
        var imageSetTM = uploadImageSetStorageTM.get();
        imageSetTM.addImages([img]);
        window.uploadImageSetStorageTM.set(imageSetTM);
    }
    
    function uploadImage(type) {
        var handelClass = '.upload-image-list-'+type;
        window.imageSubmittedCallback = uploadImageToEditorTM;
        
        $("#editorImageSubmitter").click();
    }
    
    
    /*************************************************************************************/
    
    function updateTeamName()
    {
        var nameField = $('#editTeamName #managementTeamName');
        
        if((nameField.length && nameField.val().trim().length < 1))
        {
            labAlert("Please fill in the name before submitting.");
            return;
        }
        
        window.loadingIndicator($('body'));
    
        ajaxSubmit('/$brandUpdateTeamName/'+g_thisBrand.url , {
                'teamName': nameField.val().trim(),
        }, function(data) {
            if(!data || !data.status || data.status != 'ok') {
                console.log("error:", data);
                var error = "Please try again later or contact the support team.";
                if(data && data.status) error = data.status;
                labAlert("An error has occured while updateing the team name. " + error);
            }else{
                console.log("team name submitted", data);
                
                var msg = 'Team name updated successfully.';
                labAlert(msg);
                $('#editTeamName .close').trigger('click');
                $('.loading-indicator-background').remove();
                $('#managementTeamNameA').html(data.teamName);
            }
        });
    }
    
    function changeTitleOrDescription(obj, type)
    {
        var content = $(obj).val().trim();
        
        if(content == "" && content.length < 1)
        {
            labAlert("Please fill in the "+type+" before submitting.");
            return;
        }
        
        ajaxSubmit('<?= $this->url('root/brandManageTeamMeta', ['brandUrl' => $this->thisBrand->url]) ?>', {
            'content': content,
            'type': type,
            }, function(data) {
                if(!data || !data.status || data.status != 'ok') {
                    console.log("error:", data);
                    var error = "Please try again later or contact the support team.";
                    if(data && data.status) error = data.status;
                    labAlert("An error has occured. " + error);
                }else{
                    console.log(type+" submitted", data);
                    var updatedHtml = '<div class="updated update-container">'+type+' updated successfully.</div>';
                    $(obj).parent().append(updatedHtml);
                    setTimeout(function() {
                        if($('.update-container').length > 0)
                        {
                            $('.update-container').remove();
                            if(type == 'description')
                            {
                                $('.showTeamMgmtDescription').html(content);
                                $('.showTeamMgmtDescription').show();
                                $('.editTeamMgmtDescription').addClass('hide');
                            }
                            else if(type == 'title')
                            {
                                $('.showTeamMgmtTitle').html(content);
                                $('.showTeamMgmtTitle').show();
                                $('.editTeamMgmtTitle').addClass('hide');
                            }
                            
                        }
                   }, 2000);
                }
        });
    }
    
    function makePublicOrNot(obj, type)
    {
        var plublicType = 'public_'+type;
        var flag = $(obj).data('flag');
        
        var ele = $('.team-meta-head-'+type);
        ajaxSubmit('<?= $this->url('root/brandManageTeamMeta', ['brandUrl' => $this->thisBrand->url]) ?>', {
            'content': flag,
            'type': plublicType,
            }, function(data) {
                if(!data || !data.status || data.status != 'ok') {
                    console.log("error:", data);
                    var error = "Please try again later or contact the support team.";
                    if(data && data.status) error = data.status;
                    labAlert("An error has occured. " + error);
                }else{
                    if(flag == 0)
                    {
                        $(ele).parent().slideUp('slow');
                        switch(type)
                        {
                            case 'title' : 
                                    $('.hide_title_field').hide();
                                    $('.show_title_field').show();
                                break;
                            case 'description' : 
                                    $('.hide_description_field').hide();
                                    $('.show_description_field').show();
                                break;
                        }
                    }
                    else
                    {
                        $(ele).parent().slideDown('slow');
                        switch(type)
                        {
                            case 'title' : 
                                    $('.show_title_field').hide();
                                    $('.hide_title_field').show();
                                break;
                            case 'description' : 
                                    $('.show_description_field').hide();
                                    $('.hide_description_field').show();
                                break;
                        }
                    }
                }
        });
    }
    
    function displayTeamMember(id)
    {
        window.loadingIndicator($('body')); 
        $('#showTeamMember').remove();
        ajaxSubmit('/$teamMemberDetail/' + id, {'tmId' : id}, function(data) {
                $('body').append(data);
                
/*                $('.team_member_biography_text').scrollbar();*/
                $('.team_member_biography_text').mCustomScrollbar({
                    autoHideScrollbar:true,
                    theme:"dark"
                });
                $('#showTeamMember').modal('show');
                $('.loading-indicator-background').remove();
        });
    }
    
    function deleteTeamMember(obj, id)
    {
        labConfirm("Do you really want to delete this team member?\nThis cannot be undone!", "Are you sure?", function(response) {
            if(response) {
                $(obj).blur();
                window.loadingIndicator($('body'));
                
                ajaxSubmit($(obj).attr('href'), {}, function (data) {
                if (!data.status || data.status != "ok") {
                    console.log("openAjaxLink error: ", data);
                    alert(data.status ? data.status : "An error has occurred, please try again.");
                } else {
                    $('#tm_list_'+id).hide('slow', function(){ $(this).remove();  });
                    $('.loading-indicator-background').remove();
                }
            });
            return false;
            }
        }, "Delete", "Cancel");
    }
    
    function editTeamMember(obj, id)
    {
        window.loadingIndicator($('body')); 
        $('#editTeamMember').remove();
        ajaxSubmit($(obj).attr('href'), {'type' : 'edit'}, function(data) {
                $('body').append(data);
                var img = $('#editTeamMember #hdnTMPhoto').val();
                
                if(img != "")
                {
                    removeImage(img, 'team-member');
                    uploadImageToEditorTM(img);
                    $('#editTeamMember .noImageBox').hide();
                }
                $('.team_member_description').scrollbar();
                $('#editTeamMember').modal('show');
                $('.loading-indicator-background').remove();
        });
    }
    
    /*************************************************************************************/
    
    console.log("REG ONLOAD");
    window.onload = function() {
        console.log("FIRE ONLOAD");
       
       $(document).on('mouseover', '.small-image-section .img-container', function(e) {
            e.preventDefault();
            var $this = $(this);
            var $panel = $('.img-panel', $this);
            if($panel.closest('.small-image-section').hasClass('editable')) {
                var type = $panel.closest('.small-image-section').data('type');
                $panel.toggleClass('active');
                if($panel.hasClass('active')) {
                    $('.img-panel', $this.parent().parent()).removeClass('active');
                    $panel.addClass('active');
                }
                if ($panel.hasClass('new')) {
                    $panel.removeClass('new');
                    $panel.html('<div class="buttons"><button type="button" onclick="removeImageClicked(this, \''+type+'\');" class="icon-close"></button></div>');
                }
            }
        });
        
        $(document).on('click', '.small-image-section .img-container', function(e) {
            e.preventDefault();
            var $this = $(this);
            var $panel = $('.img-panel', $this);
            if($panel.closest('.small-image-section').hasClass('editable')) {
                var type = $panel.closest('.small-image-section').data('type');
                $panel.toggleClass('active');
                if($panel.hasClass('active')) {
                    $('.img-panel', $this.parent().parent()).removeClass('active');
                    $panel.addClass('active');
                }
                if ($panel.hasClass('new')) {
                    $panel.removeClass('new');
                    $panel.html('<div class="buttons"><button type="button" onclick="removeImageClicked(this, \''+type+'\');" class="icon-close"></button></div>');
                }
            }
        });
       
       $('.showTeamMgmtDescription').dblclick(function(){
           $(this).hide();
           $('.editTeamMgmtDescription').removeClass('hide');
           $('.editTeamMgmtDescription').focus();
       });
       
       $('.showTeamMgmtTitle').dblclick(function(){
           $(this).hide();
           $('.editTeamMgmtTitle').removeClass('hide');
           $('.editTeamMgmtTitle').focus();
       });
       
       if($('#frmAddTeamMember .upload-image-list-team-member div.img-row').length > 0)
        {
            $('#frmAddTeamMember .upload-image-list-team-member').show();
            $('#frmAddTeamMember .noImageBox').hide();
        }
       
        var $textareas = $('textarea.autoresize');

        // Comments
        window.autosizeTextarea($('.comment-form textarea.comment-content'), 60, 300);
        window.autosizeTextarea($textareas, 80, 1000); // todo: fix
    }

</script>


